Bug 161792 - [PATCH] net/radiusd-cistron: add rc script
Summary: [PATCH] net/radiusd-cistron: add rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-19 02:50 UTC by Kan Sasaki
Modified: 2011-11-19 12:56 UTC (History)
0 users

See Also:


Attachments
file.shar (4.69 KB, text/plain)
2011-10-19 02:50 UTC, Kan Sasaki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kan Sasaki 2011-10-19 02:50:11 UTC
Add rc script for radrelay.
Fix output of radwho in raw format.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-19 02:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2011-10-19 06:07:28 UTC
State Changed
From-To: open->feedback


# This archive contains: 
# 
#	Makefile.diff 
#	patch-radwho.c.diff 
#	radiusd-cistron.in 

radiusd-cistron.in is not changed. 

radrelay-cistron.in is missing. 
Pleasee sumbit this file to this PR
Comment 3 Kan Sasaki 2011-10-19 15:21:21 UTC
Hi,

From: dinoex@FreeBSD.org
Subject: Re: ports/161792: [PATCH] net/radiusd-cistron: add rc script
Date: Wed, 19 Oct 2011 07:09:08 +0200 (CEST)

> Synopsis: [PATCH] net/radiusd-cistron: add rc script
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Wed Oct 19 07:07:28 CEST 2011
> State-Changed-Why: 
> 
> # This archive contains:
> #
> #	Makefile.diff
> #	patch-radwho.c.diff
> #	radiusd-cistron.in
> 
> radiusd-cistron.in is not changed.
> 
> radrelay-cistron.in is missing.
> Pleasee sumbit this file to this PR
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=161792
> 

Sorry for my mistake. Here is the missing file.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	radrelay-cistron.in
#
echo x - radrelay-cistron.in
sed 's/^X//' >radrelay-cistron.in << '21e8f40509a3427b6b8c1e10f9550156'
X#!/bin/sh
X
X# $FreeBSD$
X#
X# PROVIDE: radrelay-cistron
X# REQUIRE: LOGIN radiusd-cistron
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
X# to enable this service:
X#
X# radrelay_enable (bool):	Set it to "YES" to enable radrelay.
X#				Default is "NO".
X# radrelay_flags (flags):	Set extra flags to radrelay.
X#				Default is "". see radrelay(1).
X#
X
X. /etc/rc.subr
X
Xname="radrelay"
Xrcvar=${name}_enable
X
Xcommand=%%PREFIX%%/sbin/${name}
Xpidfile=/var/run/${name}.pid
X
Xload_rc_config $name
X
X: ${radrelay_enable="NO"}
X: ${radrelay_flags=""}
X
Xrun_rc_command "$1"
21e8f40509a3427b6b8c1e10f9550156
exit

Thanks,

-- 
Fusion Communications Corp.
Kan Sasaki  sasaki@fcc.ad.jp
Comment 4 dfilter service freebsd_committer 2011-11-19 12:45:33 UTC
dinoex      2011-11-19 12:45:18 UTC

  FreeBSD ports repository

  Modified files:
    net/radiusd-cistron  Makefile 
    net/radiusd-cistron/files patch-radwho.c 
  Added files:
    net/radiusd-cistron/files radrelay-cistron.in 
  Log:
  - Add rc script for radrelay.
  - Fix output of radwho in raw format.
  Feature safe:   yes
  PR:             161792
  Submitted by:   Kan Sasaki
  
  Revision  Changes    Path
  1.37      +2 -2      ports/net/radiusd-cistron/Makefile
  1.2       +12 -12    ports/net/radiusd-cistron/files/patch-radwho.c
  1.1       +31 -0     ports/net/radiusd-cistron/files/radrelay-cistron.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2011-11-19 12:56:17 UTC
State Changed
From-To: feedback->closed

committed, thanks.